# GetCveRecordResponseContainersCnaDescriptionsInner

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Lang** | Pointer to **string** |  | [optional] 
**Value** | Pointer to **string** |  | [optional] 

## Methods

### NewGetCveRecordResponseContainersCnaDescriptionsInner

`func NewGetCveRecordResponseContainersCnaDescriptionsInner() *GetCveRecordResponseContainersCnaDescriptionsInner`

NewGetCveRecordResponseContainersCnaDescriptionsInner instantiates a new GetCveRecordResponseContainersCnaDescriptionsInner object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewGetCveRecordResponseContainersCnaDescriptionsInnerWithDefaults

`func NewGetCveRecordResponseContainersCnaDescriptionsInnerWithDefaults() *GetCveRecordResponseContainersCnaDescriptionsInner`

NewGetCveRecordResponseContainersCnaDescriptionsInnerWithDefaults instantiates a new GetCveRecordResponseContainersCnaDescriptionsInner object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetLang

`func (o *GetCveRecordResponseContainersCnaDescriptionsInner) GetLang() string`

GetLang returns the Lang field if non-nil, zero value otherwise.

### GetLangOk

`func (o *GetCveRecordResponseContainersCnaDescriptionsInner) GetLangOk() (*string, bool)`

GetLangOk returns a tuple with the Lang field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetLang

`func (o *GetCveRecordResponseContainersCnaDescriptionsInner) SetLang(v string)`

SetLang sets Lang field to given value.

### HasLang

`func (o *GetCveRecordResponseContainersCnaDescriptionsInner) HasLang() bool`

HasLang returns a boolean if a field has been set.

### GetValue

`func (o *GetCveRecordResponseContainersCnaDescriptionsInner) GetValue() string`

GetValue returns the Value field if non-nil, zero value otherwise.

### GetValueOk

`func (o *GetCveRecordResponseContainersCnaDescriptionsInner) GetValueOk() (*string, bool)`

GetValueOk returns a tuple with the Value field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetValue

`func (o *GetCveRecordResponseContainersCnaDescriptionsInner) SetValue(v string)`

SetValue sets Value field to given value.

### HasValue

`func (o *GetCveRecordResponseContainersCnaDescriptionsInner) HasValue() bool`

HasValue returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


